Bug 763771 (GLUSTER-2039)

Summary: Install operation system fail to get disk and create new disk fail on vmware
Product: [Community] GlusterFS Reporter: Gluster Fan <jaz.cheng>
Component: nfsAssignee: Shehjar Tikoo <shehjart>
Status: CLOSED WORKSFORME QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 3.1.0CC: gluster-bugs, masta
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: RTP Mount Type: nfs
Documentation: DP CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Shehjar Tikoo 2010-10-28 19:00:26 EDT
Are you mounting the Gluster NFS server as the datastore?

If yes, does the mount complete for the Gluster NFS datastore?

What error messages does VMware UI report?
Comment 1 Gluster Fan 2010-10-28 19:14:39 EDT
No error message in vmware UI report. When installing operation system, I can find disk device but its size is zero. And when creating new hard disk device on guest OS, I can create it but guest OS can't access it. If rebooting guest os, it will hang on windows starting status.

(In reply to comment #1)
> Are you mounting the Gluster NFS server as the datastore?
> If yes, does the mount complete for the Gluster NFS datastore?
> What error messages does VMware UI report?
Comment 2 Shehjar Tikoo 2010-10-28 19:18:50 EDT
Is the same nfs server mountable from a different Linux machine using the mount -t nfs command?
Comment 3 Gluster Fan 2010-10-28 19:23:32 EDT
Yes, it is mountable from different Linux machine.
(In reply to comment #3)
> Is the same nfs server mountable from a different Linux machine using the mount
> -t nfs command?
Comment 4 Shehjar Tikoo 2010-10-28 21:03:05 EDT
(In reply to comment #4)
> Yes, it is mountable from different Linux machine.
> (In reply to comment #3)
> > Is the same nfs server mountable from a different Linux machine using the mount
> > -t nfs command?

What is the df -h output for this nfs mount from that linux machine?

Also, please paste here the ls -lRh output for the vm's data directory, i.e. the directory on the mount point in which the vmdk resides for the windows vm. Thanks.
Comment 5 Gluster Fan 2010-10-28 21:12:18 EDT
1. df-h output for linux machine

[root@localhost ~]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda2              16G  2.6G   12G  19% /
/dev/sdb1            1004M   18M  936M   2% /gfs
/dev/sda5             9.7G  3.4G  5.9G  36% /usr
/dev/sda3             9.7G  2.0G  7.3G  22% /var
/dev/sda1              99M   24M   71M  25% /boot
tmpfs                1006M     0 1006M   0% /dev/shm
172.31.22.17:/vmpool   90T  7.1T   82T   8% /mnt



2. ls -lRh output for vm's data directory

/vmfs/volumes/84ff8257-3dc2ecd9/BES_1 # ls -lRh
.:
-rw-------    1 root     root         8.0G Oct 29 04:10 BES_1_1-flat.vmdk
-rw-------    1 root     root          494 Oct 29 04:10 BES_1_1.vmdk
Comment 6 Shehjar Tikoo 2010-10-28 21:16:03 EDT
What is the ESX server version? 4 or 4.1?
Comment 7 Gluster Fan 2010-10-28 21:19:14 EDT
I tried in ESXi 4 and 4.1. The test result is same.
Comment 8 Gluster Fan 2010-10-28 21:45:51 EDT
I am using glusterfs release 3.1.0 as vmware's datastor. When installing operation system, it can't find disk device. And creating new disk device, Guest OS enviroment can't get the new disk device and then it hang. How and when to fix this problem?
Comment 9 Gluster Fan 2010-10-29 01:09:15 EDT
I tried to use vmkfstools command to create vmdk disk on vmware host, and then add disk to guest OS. If I used diskformat in zeroedthick and thin to create, then guest OS can't detect it. And if I used diskformat in eagerzeroedthick to create, then guest OS can detect it and use it.
Comment 10 Aleks3Y 2010-12-05 00:26:23 EST
I have the same issue and can confirm that with vmkfstools and eagerzeroedthick - i can install OS.
What else i've found that NFS mount is showing negative available space:


~ # df -h
Filesystem                Size      Used Available Use% Mounted on
visorfs                   1.3G    258.5M      1.0G  20% /
vfat                      4.0G      2.3M      4.0G   0% /vmfs/volumes/4cf974cf-80bee82a-ba3b-001b212f0fb1
vmfs3                   693.5G    564.0M    692.9G   0% /vmfs/volumes/4cf974ee-6752c1fd-5a93-001b212f0fb1
vfat                    285.9M    135.5M    150.4M  47% /vmfs/volumes/3c3693e8-f77a642a-1910-5c6bdcb26d3a
vfat                    249.7M      4.0k    249.7M   0% /vmfs/volumes/38115377-a464af7c-5ac6-105f31c52a8a
vfat                    249.7M     87.8M    161.9M  35% /vmfs/volumes/56b65877-4cb436c4-1aaa-68e78138d1fd
nfs                      12.5T    148.0M     -4.1T   0% /vmfs/volumes/16b0213a-3fe71529




and after i've created new disk:


/vmfs/volumes/16b0213a-3fe71529/vCenter # df -h
Filesystem                Size      Used Available Use% Mounted on
visorfs                   1.3G    258.7M      1.0G  20% /
vfat                      4.0G      2.4M      4.0G   0% /vmfs/volumes/4cf974cf-80bee82a-ba3b-001b212f0fb1
vmfs3                   693.5G    564.0M    692.9G   0% /vmfs/volumes/4cf974ee-6752c1fd-5a93-001b212f0fb1
vfat                    285.9M    135.5M    150.4M  47% /vmfs/volumes/3c3693e8-f77a642a-1910-5c6bdcb26d3a
vfat                    249.7M      4.0k    249.7M   0% /vmfs/volumes/38115377-a464af7c-5ac6-105f31c52a8a
vfat                    249.7M     87.8M    161.9M  35% /vmfs/volumes/56b65877-4cb436c4-1aaa-68e78138d1fd
nfs                      12.5T     40.2G     -4.2T   0% /vmfs/volumes/16b0213a-3fe71529
Comment 11 Aleks3Y 2010-12-05 00:33:27 EST
i'm using 3.1.1
Comment 12 Shehjar Tikoo 2011-05-25 01:50:52 EDT
We've had vmware and gluster nfs running without such problems. Please re-open if this continues to be a problem.